> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/vi/phat-trien/nang-cao/lam-viec-voi-nft/chuan-bi-file-nft.md).

# Chuẩn bị file NFT

Chuẩn bị tài sản hình ảnh và file JSON metadata theo chuẩn ERC-721/ERC-1155 để đúc NFT trên Chiliz Chain, bao gồm định dạng ảnh và tiêu chuẩn schema metadata.

Việc chuẩn bị file cho dự án NFT của bạn bao gồm hai phần riêng biệt:

* tài sản hình ảnh (những gì người dùng nhìn thấy)
* metadata (những gì blockchain đọc)

## Tài sản hình ảnh

Đây là tác phẩm nghệ thuật mà bạn muốn chuyển thành NFT.

Bạn (hoặc đội ngũ thiết kế) cần tạo ra các file với các thông số kỹ thuật sau:

### Định dạng

* Ảnh tĩnh: Sử dụng PNG (được ưu tiên để đảm bảo chất lượng) hoặc JPG.
* Video: Sử dụng MP4.\
  \_Nếu bạn có thẻ video, hãy tạo thêm một ảnh "thumbnail" tĩnh để tải nhanh hơn.\_
* Đối tượng 3D: Sử dụng GLB hoặc GLTF.

### Kích thước (Tỷ lệ khung hình)

Thông thường, NFT sử dụng một trong hai định dạng sau:

* Định dạng vuông: 1080 x 1080 pixel.
* Định dạng dọc cho điện thoại/Story: 1080 x 1920 pixel.

### Kích thước file

Hãy giữ file dưới 25MB (tốt nhất là <10MB) để tải nhanh trên các ví di động.

{% hint style="info" %}

#### Mẹo chuyên nghiệp

Tạo file "Master" độ phân giải cao (100MB+) nhưng không dùng nó làm ảnh NFT chính. Thay vào đó, hãy sử dụng tính năng "[Unlockable Content](https://help.rarible.com/hc/en-us/articles/10460251328653-What-is-unlockable-content)" để chỉ cấp file Master cho chủ sở hữu.
{% endhint %}

## Metadata

Blockchain không lưu trữ trực tiếp hình ảnh của bạn (vì quá tốn kém). Thay vào đó, nó lưu một liên kết đến file văn bản ở định dạng JSON, nghĩa là các file JSON chỉ có thể được tạo sau khi các file hình ảnh đã được lưu trữ thực sự.

{% hint style="info" %}
Hầu hết các công cụ hiện đại sẽ thực hiện điều này cho bạn, giúp bạn không phải làm thủ công từng bước.
{% endhint %}

Cần có một file JSON cho mỗi loại NFT trong bộ sưu tập của bạn (ví dụ: một JSON cho "NFT 1", một cho "NFT 2", v.v.).

Dưới đây là ví dụ về file JSON của một NFT:

```json
{
  "name": "Mark Whaleon - 2024/25 Season",
  "description": "The official Striker card for Team X, 2024/25 Season. Gold Tier.",
  "image": "ipfs://YOUR_IMAGE_IPFS_ID_GOES_HERE",
  "external_url": "https://example.com/players/whaleon",
  "attributes": [
    {
      "trait_type": "Position",
      "value": "Striker"
    },
    {
      "trait_type": "Jersey Number",
      "value": "10"
    },
    {
      "trait_type": "Season",
      "value": "2024/2025"
    },
    {
      "trait_type": "Rarity",
      "value": "Gold"
    },
    {
      "display_type": "number",
      "trait_type": "Goals Scored",
      "value": 15
    }
  ]
}
```

{% hint style="info" %}
Các thuộc tính (attributes) rất quan trọng đối với các thẻ liên quan đến thể thao. Chúng cho phép người hâm mộ lọc theo "Position," "Season," hoặc "Rarity" trên các marketplace.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chiliz.com/vi/phat-trien/nang-cao/lam-viec-voi-nft/chuan-bi-file-nft.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
